{ "meta": { "warnings": [ "Field not used by target system" ], "pagination": { "total": 125, "perPage": 50, "currentPage": 1, "totalPages": 3 }, "partialErrors": [ { "code": "FILE_UPLOAD_FAILED", "message": "Attachment invoice.pdf could not be uploaded to the target system." } ] }, "data": { "taskId": "02cc5849-b23c-48fe-8a9b-96f74bfc9571" }}
Field support per integration
DATEV Unternehmen Online
This endpoints is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Supported request parameters:
string
required
Show properties
string
The id field represents the unique identifier of the booking proposal.
The id must be a valid UUID; otherwise, it will be ignored.This field is only relevant and used when uploading files with the booking proposal.
Address[]
Show properties
string
The city must not exceed 30 characters in length.
bankAccount
Show properties
string
The bic field must respect the following pattern: ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}[A-Z0-9]{0,3}$.Example: DEUTDEFF.
string
The code must respect the following pattern: ^([1-9]|[0-9]{2,10})$If code is provided, then number is required.Example: 37040044
string
The iban field must respect the following pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$.Example: DE89370400440532013000.
number
The number field must be 1-10 digits long and includes only numbers.If number is provided, then code is required.Example: 532013000
The accountNumber field represents the account number of the contact associated with the booking proposal.It must be a valid number. The length must be equal to the account configured length + 1.It is the customer account number for INVOICE and CREDIT_NOTE or the vendor account number for BILL and VENDOR_CREDIT.
string
The name field represents the name of the contact associated with the booking proposal.It cannot exceed 50 characters in length.
enum
required
The currency field supports ISO 4217 (3-letter codes).
For details visits the Standardized Data section.
For date format details visits the Standardized Data section.The discountPaymentDate field represents the date until which a discount (discountAmount and discountPercentage in line items) can be applied to the payment.If discountPaymentDate is provided, then discountAmount and discountPercentage are required for each line item.Its value must be earlier than the dueDate and later than the bookingProposalDate.
string
For date format details visits the Standardized Data section.The discountPaymentDate2 field represents the date until which a discount (discountAmount2 and discountPercentage2 in line items) can be applied to the payment.If provided, discountPaymentDate, discountAmount, discountPercentage, discountAmount2 and discountPercentage2 are required for each line item.Its value must be earlier than the dueDate and later than the bookingProposalDate and discountPaymentDate.
string
For date format details visits the Standardized Data section.The dueDate field represents the date by which the payment for the booking proposal is expected to be made.It is required when discount fields are provided. It must be after the bookingProposalDate.
string
required
If not provided, the fallback value Integration will be used.
boolean
The isPaymentOrder field determines whether a payment instruction (transfer for bills or direct debit for invoices) should
be automatically created when the booking proposal is processed.It must be false if paymentTermId is equal to 9.
string
required
The ledgerName field represents the name of the correct ledger folder where the data will be sent to.To get the correct name, you can use the GET Accounts endpoint.
For INVOICE and CREDIT_NOTE booking proposals, the ledgerName must be of type ACCOUNT_RECEIVABLE, and for BILL and VENDOR_CREDIT booking proposals, it must be of type ACCOUNT_PAYABLE.
BookingLineItem[]
required
Depending on the Rechnungsdatenschnittstelle (invoice data interface) settings in DATEV Unternehmen Online, either a single booking proposal or one booking proposal per line item is created. Please check your configuration to ensure the desired behavior.
Show properties
Account
Show properties
string
The name field specifies the name of the general ledger account linked to the individual line item.It cannot exceed 40 characters in length.
number
The number field specifies the general ledger account linked to the individual line item.It must be a valid number. The length must be equal to the account configured length.
string
The description field provides details about the specific line item in the booking proposal.It cannot exceed 60 characters in length.
Dimension[]
Only 2 dimensions are allowed per line item.
Show properties
string
The name field specifies the name of the dimension associated with the line item.It cannot exceed 36 characters in length. It must follow the pattern : ^([\S][\S ]{0,34}[\S]|[\S]{0,1})$.Example: Marketing.
number
The discountAmount field represents the fixed amount to be discounted if paid by the discountPaymentDate.It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.It cannot exceed the line item’s totalGrossAmount.
number
The discountAmount2 field represents the fixed amount to be discounted if paid by the discountPaymentDate2.It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.It cannot exceed the line item’s totalGrossAmount and the discountAmount.
number
The discountPercentage field represents the percentage to be discounted if paid by the discountPaymentDate.It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.It cannot exceed 100%.
number
The discountPercentage2 field represents the percentage to be discounted if paid by the discountPaymentDate2.It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.It must be less then the discountPercentage.
string
The taxCode field represents the BU code associated with the line item.It must be max 4 characters long. Only numbers are allowed.
number
The taxRatePercentage field represents the tax rate applied to the line item.It must be a positive number.
number
required
The totalGrossAmount field represents the total gross amount for the specific line item.It must be a number with up to 10 digits before the decimal point and up to 2 digits after.It cannot be zero.
string
The notes field allows for additional information or comments related to the booking proposal.
It cannot exceed 120 characters in length.
string
required
The number field represents the document number.It must match the pattern: ^[a-zA-Z0-9$%&*\+\-/]{0,36}$.
string
The orderId field represents the order identifier associated with the booking proposal.It must match the pattern: ^[a-zA-Z0-9$%&*+\-./]{1,30}$.
The paymentTermId field represents the identifier of the payment term associated with the booking proposal.It is max 3 characters long. It must includes only numbers.If provided, the discount fields are not allowed.
number
required
The totalGrossAmount field represents the total gross amount for the entire booking proposal.It cannot be zero and must equal the sum of the totalGrossAmount of all line items.It must always be a positive amount. The bookingType (INVOICE, BILL, CREDIT_NOTE, VENDOR_CREDIT) determines the document type.
string
The vatId field represents the VAT identification number associated with the booking proposal.It must match pattern: ^[0-9a-zA-Z\. _]{1,15}$.
BookingType
required
Available options: INVOICE, BILL, CREDIT_NOTE, VENDOR_CREDIT
file[]
The files array can be used to attach files to the booking proposal.
The name of the uploaded files must include the file extension, for example invoice.pdf.
FolderManagement
The folderManagement object defines the three-level folder structure for a booking proposal. If not provided, the default structure will be used.
Show properties
string
required
The category field represents the top-level folder in the folder structure.
string
required
The folder field represents the second-level folder in the folder structure.
string
required
The register field represents the third-level folder in the folder structure.
Lexware Office
This endpoint is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
This endpoint is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
The accountNumber field represents the account number of the contact associated with the booking proposal.It must be a valid number. It is the customer account number for INVOICE or the vendor account number for BILL.
BookingLineItem[]
required
Show properties
Account
required
Show properties
string
required
The code field specifies the code of the GL account linked to the individual line item within the booking proposal.To get the correct code, you can use the GET Accounts endpoint.
string
Dimension[]
Show properties
string
required
The numeric id of the specific dimension item within the dimension type.To get the correct value, use the GET /dimensions and GET /dimensions/{dimension} endpoint.
number
The amount of the line item allocated to this dimension item.
If multiple dimension objects with the same dimension type are provided, amount is required on each of them, and their amounts must sum to the line item’s totalNetAmount.
If only one dimension object of a given dimension type is provided and amount is set, it must equal totalNetAmount.
string
required
The numeric id of the dimension type (e.g., Departments category).To get the correct value, use the GET /dimensions endpoint.
string
required
number
required
number
required
string
required
BookingType
required
Available options: BILL, INVOICE
file[]
Each file size must not exceed 10 MB.
Partial ErrorsThis integration may return partial errors:
This endpoint is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
The status field controls the voucher status. Accepted values: DRAFT, OPEN.
BookingType
required
Available options: INVOICE, BILL, CREDIT_NOTE, VENDOR_CREDIT.
file[]
The files array can be used to attach a file to the booking proposal.
Only one file is supported. The file name must include the extension, for example invoice.pdf.
Headers
X-API-KEY
string
required
API key
X-ACCOUNT-KEY
string
required
Account key
idempotency-key
string
Unique key to ensure idempotent requests. If provided, duplicate requests with the same key will return the cached response instead of creating duplicate resources.
Example:
"order-12345-invoice-001"
Query Parameters
companyId
string
Body
multipart/form-data
bookingProposal
object
Show child attributes
bookingType
enum<string>
Available options:
BILL,
CREDIT_NOTE,
INVOICE,
VENDOR_CREDIT
files
file[]
Array of files to upload
folderManagement
object
Show child attributes
Response
202 - application/json
meta
object
Show child attributes
data
object
Show child attributes
Last modified on November 9, 2026
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.schema.json","name":"maesn","colors":{"primary":"#27A691","light":"#5DCFBC","dark":"#004253"},"logo":{"light":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-light.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=ba936398d19fd8fe8fb10d7b41c80170","dark":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-dark.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=a831914dd5d3b84e5886f319d696df75","href":"https://docs.maesn.com"},"favicon":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-favicon.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=0467d15b5d0ab2458326fa937d685118","navbar":{"primary":{"type":"button","label":"Get an API key","href":"https://www.maesn.com/contact/"}},"footer":{"socials":{"website":"https://www.maesn.com","github":"https://github.com/maesndev","linkedin":"https://www.linkedin.com/company/maesn-integration","youtube":"https://www.youtube.com/@Maesn_One-API"}},"seo":{"metatags":{"author":"Lennart Svensson","canonical":"https://docs.maesn.com"},"indexing":"all"},"integrations":{"gtm":{"tagId":"GTM-NRQ25WDW"}},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"maesn","hasAudioNarration":false,"actualSubdomain":"maesn","customDomains":["docs.maesn.com"],"gitSource":{"type":"github","owner":"maesndev","repo":"docs-2","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af7306336896a78e7f60b18","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"API reference","count":151},{"language":"default","tag":"Accounting","count":134},{"language":"default","tag":"Integrations","count":32},{"language":"default","tag":"Get started","count":17},{"language":"default","tag":"Use cases","count":13},{"language":"default","tag":"Journal Entries","count":11},{"language":"default","tag":"Contacts","count":9},{"language":"default","tag":"Booking Proposals","count":8},{"language":"default","tag":"Bills","count":6},{"language":"default","tag":"Items","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".integration-table table{width:100%;table-layout:fixed}.integration-table table th:first-child{width:40%}.integration-table table th:not(:first-child){width:15%;text-align:center}.integration-table table td:not(:first-child){text-align:center;padding:8px 4px}"}],"page":{"pagePath":"api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async","slug":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async","pageMetadata":{"openapi":"POST /accounting/bookingProposals/async","title":null,"description":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Expandable,Heading,Note,ResponseField,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`field-support-per-integration`,children:`Field support per integration`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`DATEV Unternehmen Online`,icon:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=5589154dcfa064e1d967a067e488896a`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/datev.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=280\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=319de3efc8c2dab5a815d0783ce59114 280w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=560\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=019de0ca0988ae6f5d9b82726b43c340 560w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=840\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7c441c862900642150fe5cd0a9710f0b 840w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=0555657de5a013a90e7c1f7a93fdff4a 1100w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=988016562e8fe1396468303625e27332 1650w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7bbf44b2ddbb45e49392c1b5b846c7b3 2500w`,id:`datev-unternehmen-online`,children:[_jsxs(Note,{children:[_jsxs(_components.p,{children:[`This endpoints is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.`]}),_jsxs(_components.p,{children:[`For more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameter `,_jsx(_components.code,{children:`companyId`}),` is accurately populated with the appropriate company ID. You can obtain this value by using the `,_jsx(_components.code,{children:`GET Companies`}),` endpoint available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` field represents the unique identifier of the booking proposal.`]})}),_jsxs(Note,{children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` must be a valid UUID; otherwise, it will be ignored.`]}),_jsxs(_components.p,{children:[`This field is only relevant and used `,_jsx(_components.code,{children:`when uploading files`}),` with the booking proposal.`]})]}),_jsx(ResponseField,{name:`addresses`,type:`Address[]`,id:`param-addresses`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`city`,type:`string`,id:`param-city`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`city`}),` must not exceed 30 characters in length.`]})})})}),_jsx(ResponseField,{name:`bankAccount`,type:`bankAccount`,id:`param-bank-account`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`bic`,type:`string`,id:`param-bic`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`bic`}),` field must respect the following pattern: `,_jsx(_components.code,{children:`^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}[A-Z0-9]{0,3}$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`DEUTDEFF`}),`.`]})]}),_jsxs(ResponseField,{name:`code`,type:`string`,id:`param-code`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`code`}),` must respect the following pattern: `,_jsx(_components.code,{children:`^([1-9]|[0-9]{2,10})$`})]}),_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`code`}),` is provided, then `,_jsx(_components.code,{children:`number`}),` is required.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`37040044`})]})]}),_jsxs(ResponseField,{name:`iban`,type:`string`,id:`param-iban`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`iban`}),` field must respect the following pattern: `,_jsx(_components.code,{children:`^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`DE89370400440532013000`}),`.`]})]}),_jsxs(ResponseField,{name:`number`,type:`number`,id:`param-number`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field must be 1-10 digits long and includes only numbers.`]}),_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`number`}),` is provided, then `,_jsx(_components.code,{children:`code`}),` is required.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`532013000`})]})]})]})}),_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,required:true,id:`param-booking-proposal-date`,children:_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`contact`,type:`Contact`,id:`param-contact`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`accountNumber`,type:`number`,id:`param-account-number`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountNumber`}),` field represents the account number of the contact associated with the booking proposal.`]}),_jsx(_components.p,{children:`It must be a valid number. The length must be equal to the account configured length + 1.`}),_jsxs(_components.p,{children:[`It is the customer account number for `,_jsx(_components.code,{children:`INVOICE`}),` and `,_jsx(_components.code,{children:`CREDIT_NOTE`}),` or the vendor account number for `,_jsx(_components.code,{children:`BILL`}),` and `,_jsx(_components.code,{children:`VENDOR_CREDIT`}),`.`]})]}),_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`name`}),` field represents the name of the contact associated with the booking proposal.`]}),_jsx(_components.p,{children:`It cannot exceed 50 characters in length.`})]})]})}),_jsx(ResponseField,{name:`currency`,type:`enum`,required:true,id:`param-currency`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`currency`}),` field supports `,_jsx(_components.strong,{children:`ISO 4217`}),` (3-letter codes).\nFor details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`deliveryDate `,type:`string`,id:`param-delivery-date`,children:_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsxs(ResponseField,{name:`discountPaymentDate`,type:`string`,id:`param-discount-payment-date`,children:[_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPaymentDate`}),` field represents the date until which a discount (`,_jsx(_components.code,{children:`discountAmount`}),` and `,_jsx(_components.code,{children:`discountPercentage`}),` in line items) can be applied to the payment.`]}),_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`discountPaymentDate`}),` is provided, then `,_jsx(_components.code,{children:`discountAmount`}),` and `,_jsx(_components.code,{children:`discountPercentage`}),` are required for each line item.`]}),_jsxs(_components.p,{children:[`Its value must be earlier than the `,_jsx(_components.code,{children:`dueDate`}),` and later than the `,_jsx(_components.code,{children:`bookingProposalDate`}),`.`]})]}),_jsxs(ResponseField,{name:`discountPaymentDate2`,type:`string`,id:`param-discount-payment-date2`,children:[_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPaymentDate2`}),` field represents the date until which a discount (`,_jsx(_components.code,{children:`discountAmount2`}),` and `,_jsx(_components.code,{children:`discountPercentage2`}),` in line items) can be applied to the payment.`]}),_jsxs(_components.p,{children:[`If provided, `,_jsx(_components.code,{children:`discountPaymentDate`}),`, `,_jsx(_components.code,{children:`discountAmount`}),`, `,_jsx(_components.code,{children:`discountPercentage`}),`, `,_jsx(_components.code,{children:`discountAmount2`}),` and `,_jsx(_components.code,{children:`discountPercentage2`}),` are required for each line item.`]}),_jsxs(_components.p,{children:[`Its value must be earlier than the `,_jsx(_components.code,{children:`dueDate`}),` and later than the `,_jsx(_components.code,{children:`bookingProposalDate`}),` and `,_jsx(_components.code,{children:`discountPaymentDate`}),`.`]})]}),_jsxs(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date`,children:[_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dueDate`}),` field represents the date by which the payment for the booking proposal is expected to be made.`]}),_jsxs(_components.p,{children:[`It is required when discount fields are provided. It must be after the `,_jsx(_components.code,{children:`bookingProposalDate`}),`.`]})]}),_jsx(ResponseField,{name:`generatorName`,type:`string`,required:true,id:`param-generator-name`,children:_jsx(Note,{children:_jsxs(_components.p,{children:[`If not provided, the fallback value `,_jsx(_components.code,{children:`Integration`}),` will be used.`]})})}),_jsxs(ResponseField,{name:`isPaymentOrder`,type:`boolean`,id:`param-is-payment-order`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`isPaymentOrder`}),` field determines whether a payment instruction (transfer for bills or direct debit for invoices) should\nbe automatically created when the booking proposal is processed.`]}),_jsxs(_components.p,{children:[`It must be `,_jsx(_components.code,{children:`false`}),` if `,_jsx(_components.code,{children:`paymentTermId`}),` is equal to `,_jsx(_components.code,{children:`9`}),`.`]})]}),_jsxs(ResponseField,{name:`ledgerName`,type:`string`,required:true,id:`param-ledger-name`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`ledgerName`}),` field represents the name of the correct ledger folder where the data will be sent to.`]}),_jsxs(_components.p,{children:[`To get the correct name, you can use the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`For `,_jsx(_components.code,{children:`INVOICE`}),` and `,_jsx(_components.code,{children:`CREDIT_NOTE`}),` booking proposals, the `,_jsx(_components.code,{children:`ledgerName`}),` must be of type `,_jsx(_components.code,{children:`ACCOUNT_RECEIVABLE`}),`, and for `,_jsx(_components.code,{children:`BILL`}),` and `,_jsx(_components.code,{children:`VENDOR_CREDIT`}),` booking proposals, it must be of type `,_jsx(_components.code,{children:`ACCOUNT_PAYABLE`}),`.`]})}),_jsxs(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items`,children:[_jsx(Note,{children:_jsx(_components.p,{children:`Depending on the Rechnungsdatenschnittstelle (invoice data interface) settings in DATEV Unternehmen Online, either a single booking proposal or one booking proposal per line item is created. Please check your configuration to ensure the desired behavior.`})}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`account`,type:`Account`,id:`param-account`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`name`}),` field specifies the name of the general ledger account linked to the individual line item.`]}),_jsx(_components.p,{children:`It cannot exceed 40 characters in length.`})]}),_jsxs(ResponseField,{name:`number`,type:`number`,id:`param-number-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field specifies the general ledger account linked to the individual line item.`]}),_jsx(_components.p,{children:`It must be a valid number. The length must be equal to the account configured length.`})]})]})}),_jsxs(ResponseField,{name:`description`,type:`string`,id:`param-description`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`description`}),` field provides details about the specific line item in the booking proposal.`]}),_jsx(_components.p,{children:`It cannot exceed 60 characters in length.`})]}),_jsxs(ResponseField,{name:`dimensions`,type:`Dimension[]`,id:`param-dimensions`,children:[_jsx(_components.p,{children:`Only 2 dimensions are allowed per line item.`}),_jsx(Expandable,{title:`properties`,children:_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`name`}),` field specifies the name of the dimension associated with the line item.`]}),_jsxs(_components.p,{children:[`It cannot exceed 36 characters in length. It must follow the pattern : `,_jsx(_components.code,{children:`^([\\\\S][\\\\S ]{0,34}[\\\\S]|[\\\\S]{0,1})$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`Marketing`}),`.`]})]})})]}),_jsxs(ResponseField,{name:`discountAmount`,type:`number`,id:`param-discount-amount`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountAmount`}),` field represents the fixed amount to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.`}),_jsxs(_components.p,{children:[`It cannot exceed the line item’s `,_jsx(_components.code,{children:`totalGrossAmount`}),`.`]})]}),_jsxs(ResponseField,{name:`discountAmount2`,type:`number`,id:`param-discount-amount2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountAmount2`}),` field represents the fixed amount to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate2`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.`}),_jsxs(_components.p,{children:[`It cannot exceed the line item’s `,_jsx(_components.code,{children:`totalGrossAmount`}),` and the `,_jsx(_components.code,{children:`discountAmount`}),`.`]})]}),_jsxs(ResponseField,{name:`discountPercentage`,type:`number`,id:`param-discount-percentage`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPercentage`}),` field represents the percentage to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.`}),_jsx(_components.p,{children:`It cannot exceed 100%.`})]}),_jsxs(ResponseField,{name:`discountPercentage2`,type:`number`,id:`param-discount-percentage2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPercentage2`}),` field represents the percentage to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate2`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.`}),_jsxs(_components.p,{children:[`It must be less then the `,_jsx(_components.code,{children:`discountPercentage`}),`.`]})]}),_jsxs(ResponseField,{name:`taxCode `,type:`string`,id:`param-tax-code`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`taxCode`}),` field represents the BU code associated with the line item.`]}),_jsx(_components.p,{children:`It must be max 4 characters long. Only numbers are allowed.`})]}),_jsxs(ResponseField,{name:`taxRatePercentage `,type:`number`,id:`param-tax-rate-percentage`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`taxRatePercentage`}),` field represents the tax rate applied to the line item.`]}),_jsx(_components.p,{children:`It must be a positive number.`})]}),_jsxs(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the total gross amount for the specific line item.`]}),_jsx(_components.p,{children:`It must be a number with up to 10 digits before the decimal point and up to 2 digits after.`}),_jsx(_components.p,{children:`It cannot be zero.`})]})]})]}),_jsx(ResponseField,{name:`notes`,type:`string`,id:`param-notes`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`notes`}),` field allows for additional information or comments related to the booking proposal.\nIt cannot exceed 120 characters in length.`]})}),_jsxs(ResponseField,{name:`number`,type:`string`,required:true,id:`param-number-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field represents the document number.`]}),_jsxs(_components.p,{children:[`It must match the pattern: `,_jsx(_components.code,{children:`^[a-zA-Z0-9$%\u0026*\\\\+\\\\-/]{0,36}$`}),`.`]})]}),_jsxs(ResponseField,{name:`orderId`,type:`string`,id:`param-order-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`orderId`}),` field represents the order identifier associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`It must match the pattern: `,_jsx(_components.code,{children:`^[a-zA-Z0-9$%\u0026*+\\\\-./]{1,30}$`}),`.`]})]}),_jsx(ResponseField,{name:`paidDate`,type:`string`,id:`param-paid-date`,children:_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsxs(ResponseField,{name:`paymentTermId`,type:`string`,id:`param-payment-term-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`paymentTermId`}),` field represents the identifier of the payment term associated with the booking proposal.`]}),_jsx(_components.p,{children:`It is max 3 characters long. It must includes only numbers.`}),_jsx(_components.p,{children:`If provided, the discount fields are not allowed.`})]}),_jsxs(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the total gross amount for the entire booking proposal.`]}),_jsxs(_components.p,{children:[`It cannot be zero and must equal the sum of the `,_jsx(_components.code,{children:`totalGrossAmount`}),` of all line items.`]}),_jsx(_components.p,{children:`It must always be a positive amount. The bookingType (INVOICE, BILL, CREDIT_NOTE, VENDOR_CREDIT) determines the document type.`})]}),_jsxs(ResponseField,{name:`vatId`,type:`string`,id:`param-vat-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`vatId`}),` field represents the VAT identification number associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`It must match pattern: `,_jsx(_components.code,{children:`^[0-9a-zA-Z\\\\. _]{1,15}$`}),`.`]})]})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`CREDIT_NOTE`}),`, `,_jsx(_components.code,{children:`VENDOR_CREDIT`})]})}),_jsxs(ResponseField,{name:`files`,type:`file[]`,id:`param-files`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`files`}),` array can be used to attach files to the booking proposal.`]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The name of the uploaded files must include the file extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})})]}),_jsxs(ResponseField,{name:`folderManagement`,type:`FolderManagement`,id:`param-folder-management`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`folderManagement`}),` object defines the three-level folder structure for a booking proposal. If not provided, the default structure will be used.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`category`,type:`string`,required:true,id:`param-category`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`category`}),` field represents the top-level folder in the folder structure.`]})}),_jsx(ResponseField,{name:`folder`,type:`string`,required:true,id:`param-folder`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`folder`}),` field represents the second-level folder in the folder structure.`]})}),_jsx(ResponseField,{name:`register`,type:`string`,required:true,id:`param-register`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`register`}),` field represents the third-level folder in the folder structure.`]})})]})]})]}),_jsxs(Accordion,{title:`Lexware Office`,icon:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=efe4da1d7b59a552d1938ec981ccbc1e`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/lexoffice.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=280\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=1b72129772805128f23630a57d03c85f 280w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=560\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=514f7cab389f8f0f3c319e6e3906d75e 560w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=840\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=51da80b435c10fc0bea51344bb1bde32 840w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=e172ae5a9f402603c3c8582671ab1ad3 1100w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=ea1032cc40caf58e1d6a2c206abf2ac0 1650w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=f0dbdd906bd9d14e026668edbeae01b6 2500w`,id:`lexware-office`,children:[_jsxs(Note,{children:[_jsxs(_components.p,{children:[`This endpoint is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.`]}),_jsxs(_components.p,{children:[`For more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})]}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-1`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,id:`param-booking-proposal-date-1`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`contact`,type:`Contact`,id:`param-contact-1`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` field represents the Lexware Office contact ID associated with the booking proposal.\nRequired when `,_jsx(_components.code,{children:`useCollectiveContact`}),` flag is set to `,_jsx(_components.code,{children:`false`}),`.`]})})})}),_jsxs(ResponseField,{name:`deliveryDate`,type:`string`,id:`param-delivery-date-1`,children:[_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`Only supported for `,_jsx(_components.code,{children:`bookingType: INVOICE`}),` and `,_jsx(_components.code,{children:`CREDIT_NOTE`}),`. Providing this field for `,_jsx(_components.code,{children:`BILL`}),` or `,_jsx(_components.code,{children:`VENDOR_CREDIT`}),` will result in a validation error.`]})})]}),_jsx(ResponseField,{name:`dueDate`,type:`string`,id:`param-due-date-1`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-1`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`account`,type:`Account`,required:true,id:`param-account-1`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-2`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` field specifies the Lexware Office category (account) ID linked to the line item.`]})})})}),_jsx(ResponseField,{name:`taxRatePercentage`,type:`number`,required:true,id:`param-tax-rate-percentage-1`,children:_jsx(_components.p,{children:`Must be a positive number.`})}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-2`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the total gross amount for the line item. It must have at most 2 decimal places.`]})})]})}),_jsx(ResponseField,{name:`notes`,type:`string`,id:`param-notes-1`}),_jsx(ResponseField,{name:`number`,type:`string`,id:`param-number-3`,children:_jsx(_components.p,{children:`Required if no file is uploaded, or if the uploaded file does not contain a readable document number.`})}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,id:`param-total-gross-amount-3`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the total gross amount for the entire booking proposal. It must have at most 2 decimal places.`]})}),_jsx(ResponseField,{name:`useCollectiveContact`,type:`boolean`,id:`param-use-collective-contact`,children:_jsxs(_components.p,{children:[`If set to `,_jsx(_components.code,{children:`true`}),`, contact will be ignored.`]})})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-1`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`CREDIT_NOTE`}),`, `,_jsx(_components.code,{children:`VENDOR_CREDIT`}),`.`]})}),_jsxs(ResponseField,{name:`files`,type:`file[]`,id:`param-files-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`files`}),` array can be used to attach a file to the booking proposal.`]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`Only one file is supported. The file name must include the extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})})]}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Partial Errors`})}),_jsxs(_components.p,{children:[`This integration may return `,_jsx(_components.a,{href:`/guides/partial-errors`,children:`partial errors`}),`:`]}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Code`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Recovery`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`FILE_UPLOAD_FAILED`})}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.a,{href:`/api-reference/accounting-endpoints/bookingproposals/attachments/create-booking-proposal-attachment`,children:`POST /bookingProposals/{id}/attachments`})})]})})]})]}),_jsxs(Accordion,{title:`Procountor`,icon:`https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=2399887f31b698590774969aa7581f9a`,\"data-og-width\":`720`,width:`720`,\"data-og-height\":`410`,height:`410`,\"data-path\":`logo/procountor.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=280\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=6a173eaa40001f9fb610e293e1eaba74 280w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=560\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=65c5291855d0d9a75cd625104673c3af 560w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=840\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=d777f44c76b13c1824b2d66db011c0de 840w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=9c3d48b0c4642f34cea6868ad3c57a54 1100w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=e9ccd4309996446e9d5b01ecc31b1612 1650w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=ac82aaa3a3f24f27f4f4260595c26bed 2500w`,id:`procountor`,children:[_jsxs(Note,{children:[_jsxs(_components.p,{children:[`This endpoint is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.`]}),_jsxs(_components.p,{children:[`For more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})]}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-2`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,required:true,id:`param-booking-proposal-date-2`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`contact`,type:`Contact`,id:`param-contact-2`,children:_jsx(Expandable,{title:`properties`,children:_jsxs(ResponseField,{name:`accountNumber`,type:`number`,id:`param-account-number-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountNumber`}),` field represents the account number of the contact associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`It must be a valid number. It is the customer account number for `,_jsx(_components.code,{children:`INVOICE`}),` or the vendor account number for `,_jsx(_components.code,{children:`BILL`}),`.`]})]})})}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-2`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`account`,type:`Account`,required:true,id:`param-account-2`,children:_jsx(Expandable,{title:`properties`,children:_jsxs(ResponseField,{name:`code`,type:`string`,required:true,id:`param-code-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`code`}),` field specifies the code of the GL account linked to the individual line item within the booking proposal.`]}),_jsxs(_components.p,{children:[`To get the correct `,_jsx(_components.code,{children:`code`}),`, you can use the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]})})}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-1`}),_jsx(ResponseField,{name:`dimensions`,type:`Dimension[]`,id:`param-dimensions-1`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-3`,children:[_jsx(_components.p,{children:`The numeric id of the specific dimension item within the dimension type.`}),_jsxs(_components.p,{children:[`To get the correct value, use the `,_jsx(_components.code,{children:`GET /dimensions`}),` and `,_jsx(_components.code,{children:`GET /dimensions/{dimension}`}),` endpoint.`]})]}),_jsxs(ResponseField,{name:`amount`,type:`number`,id:`param-amount`,children:[_jsx(_components.p,{children:`The amount of the line item allocated to this dimension item.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`If multiple dimension objects with the same `,_jsx(_components.code,{children:`dimension`}),` type are provided, `,_jsx(_components.code,{children:`amount`}),` is required on each of them, and their amounts must sum to the line item’s `,_jsx(_components.code,{children:`totalNetAmount`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`If only one dimension object of a given `,_jsx(_components.code,{children:`dimension`}),` type is provided and `,_jsx(_components.code,{children:`amount`}),` is set, it must equal `,_jsx(_components.code,{children:`totalNetAmount`}),`.`]}),`\n`]})]}),_jsxs(ResponseField,{name:`dimension`,type:`string`,required:true,id:`param-dimension`,children:[_jsx(_components.p,{children:`The numeric id of the dimension type (e.g., Departments category).`}),_jsxs(_components.p,{children:[`To get the correct value, use the `,_jsx(_components.code,{children:`GET /dimensions`}),` endpoint.`]})]})]})}),_jsx(ResponseField,{name:`taxCode`,type:`string`,required:true,id:`param-tax-code-1`}),_jsx(ResponseField,{name:`taxRatePercentage`,type:`number`,required:true,id:`param-tax-rate-percentage-2`}),_jsx(ResponseField,{name:`totalNetAmount`,type:`number`,required:true,id:`param-total-net-amount`})]})}),_jsx(ResponseField,{name:`notes`,type:`string`,required:true,id:`param-notes-2`})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-2`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`INVOICE`})]})}),_jsx(ResponseField,{name:`files`,type:`file[]`,id:`param-files-2`,children:_jsx(Note,{children:_jsx(_components.p,{children:`Each file size must not exceed 10 MB.`})})}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Partial Errors`})}),_jsxs(_components.p,{children:[`This integration may return `,_jsx(_components.a,{href:`/guides/partial-errors`,children:`partial errors`}),`:`]}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Code`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Recovery`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`FILE_UPLOAD_FAILED`})}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.a,{href:`/api-reference/accounting-endpoints/bookingproposals/attachments/create-booking-proposal-attachment`,children:`POST /bookingProposals/{id}/attachments`})})]})})]})]}),_jsxs(Accordion,{title:`SevDesk`,icon:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=2b266052b2531cf2995f78c2aecf6019`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/sevdesk.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=280\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=3e55e4f5c13d17fc5e9a97826f7d8932 280w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=560\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=01f86f6355bdc9fff14d05a9a701efff 560w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=840\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=be9956e6e7b89fa9f14ec2b36a5d9308 840w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=c421ec36b9809e6186ca313af5a23027 1100w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=2f5d5b2e5837e360837439b1e43afa9c 1650w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=b61d762cd0d3e7fa2a3488d9f75091c7 2500w`,id:`sevdesk`,children:[_jsxs(Note,{children:[_jsxs(_components.p,{children:[`This endpoint is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.`]}),_jsxs(_components.p,{children:[`For more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})]}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-3`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,id:`param-booking-proposal-date-3`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`contact`,type:`Contact`,required:true,id:`param-contact-3`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-4`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` field represents the SevDesk contact ID associated with the booking proposal.`]})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-3`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`name`}),` field represents the name of the contact (supplier name).\nUsed when no `,_jsx(_components.code,{children:`id`}),` is provided.`]})})]})}),_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-1`,children:_jsxs(_components.p,{children:[`For details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`deliveryDate`,type:`string`,id:`param-delivery-date-2`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`dueDate`,type:`string`,id:`param-due-date-2`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-3`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`account`,type:`Account`,required:true,id:`param-account-3`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`number`,type:`number`,required:true,id:`param-number-4`})})}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-2`}),_jsx(ResponseField,{name:`taxRatePercentage`,type:`number`,required:true,id:`param-tax-rate-percentage-3`,children:_jsx(_components.p,{children:`Must be a positive number.`})}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,id:`param-total-gross-amount-4`,children:_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`totalNetAmount`}),` is not provided.`]})}),_jsx(ResponseField,{name:`totalNetAmount`,type:`number`,id:`param-total-net-amount-1`,children:_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`totalGrossAmount`}),` is not provided.`]})})]})}),_jsx(ResponseField,{name:`number`,type:`string`,id:`param-number-5`}),_jsx(ResponseField,{name:`paidDate`,type:`string`,id:`param-paid-date-1`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`status`,type:`enum`,id:`param-status`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`status`}),` field controls the voucher status. Accepted values: `,_jsx(_components.code,{children:`DRAFT`}),`, `,_jsx(_components.code,{children:`OPEN`}),`.`]})})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-3`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`CREDIT_NOTE`}),`, `,_jsx(_components.code,{children:`VENDOR_CREDIT`}),`.`]})}),_jsxs(ResponseField,{name:`files`,type:`file[]`,id:`param-files-3`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`files`}),` array can be used to attach a file to the booking proposal.`]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`Only one file is supported. The file name must include the extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"POST /accounting/bookingProposals/async","title":null,"description":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Field support per integration","slug":"field-support-per-integration","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/maesn/b9f4cde31e61c54c/hubspot.js"],"openApiReferenceData":{"operation":{"operationId":"createBookingProposalAsync","parameters":["fc2e3d7b-5064-47a5-b75a-9299e57c53ec","2588a614-dfc9-40a7-83b2-658ad90f4343","c88253c4-f14d-4fb5-b33d-ac97da95d07d","49cb9c87-c54e-4ea4-a928-3f39c95690f6"],"requestBody":"00bb3d35-8857-498e-bf30-5f6b8040dcf5","responses":{"202":"0748e92c-e4c1-44cf-8768-264a98ecf430"},"tags":["accounting"],"method":"post","type":"path","servers":["69bbbe3c-bdd4-46da-ae4a-5b5a7194af64"],"security":[],"path":"/accounting/bookingProposals/async","baseUrlOptions":["https://api.maesn.dev"],"title":"","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"fc2e3d7b-5064-47a5-b75a-9299e57c53ec":{"name":"X-API-KEY","description":"API key","in":"header","schema":{"type":"string","isRequired":true,"description":"API key","uniqueKey":"","typeLabel":"string"},"required":true},"2588a614-dfc9-40a7-83b2-658ad90f4343":{"name":"X-ACCOUNT-KEY","description":"Account key","in":"header","schema":{"type":"string","isRequired":true,"description":"Account key","uniqueKey":"","typeLabel":"string"},"required":true},"c88253c4-f14d-4fb5-b33d-ac97da95d07d":{"name":"idempotency-key","description":"Unique key to ensure idempotent requests. If provided, duplicate requests with the same key will return the cached response instead of creating duplicate resources.","in":"header","schema":{"type":"string","example":"order-12345-invoice-001","isRequired":false,"description":"Unique key to ensure idempotent requests. If provided, duplicate requests with the same key will return the cached response instead of creating duplicate resources.","uniqueKey":"","typeLabel":"string"},"required":false},"49cb9c87-c54e-4ea4-a928-3f39c95690f6":{"name":"companyId","required":false,"in":"query","schema":{"type":"string","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"bookingProposal":{"type":"object","properties":{"id":{"type":"string","example":"23a24449-6v28-446e-bb12-3f428073fc","uniqueKey":"bookingProposal.id","typeLabel":"string"},"addresses ":{"type":"array","items":{"type":"object","properties":{"city":{"type":"string","example":"city","uniqueKey":"bookingProposal.addresses .items.[INDEX].city","typeLabel":"string"}},"uniqueKey":"bookingProposal.addresses .items.[INDEX]","typeLabel":"object"},"uniqueKey":"bookingProposal.addresses ","typeLabel":"object[]"},"bankAccount":{"type":"object","properties":{"id":{"type":"string","example":"5a6b7f5dw45c1c-403e-ad56-202fbc312414","uniqueKey":"bookingProposal.bankAccount.id","typeLabel":"string"},"bankName":{"type":"string","example":"Sparkasse","uniqueKey":"bookingProposal.bankAccount.bankName","typeLabel":"string"},"bic":{"type":"string","example":"DEUTDEFF","uniqueKey":"bookingProposal.bankAccount.bic","typeLabel":"string"},"code":{"type":"string","example":"50010517","uniqueKey":"bookingProposal.bankAccount.code","typeLabel":"string"},"iban":{"type":"string","example":"DE89370400440532013000","uniqueKey":"bookingProposal.bankAccount.iban","typeLabel":"string"},"number":{"type":"number","example":5407324931,"uniqueKey":"bookingProposal.bankAccount.number","typeLabel":"number"}},"uniqueKey":"bookingProposal.bankAccount","typeLabel":"object"},"bookingProposalDate":{"type":"string","example":"2025-07-14T00:00:00Z","uniqueKey":"bookingProposal.bookingProposalDate","typeLabel":"string"},"contact":{"type":"object","properties":{"id":{"type":"string","example":"eaa28f49-6028-4b6e-bb12-d8f6278073fc","uniqueKey":"bookingProposal.contact.id","typeLabel":"string"},"accountNumber":{"type":"number","example":70000,"uniqueKey":"bookingProposal.contact.accountNumber","typeLabel":"number"},"name":{"type":"string","example":"John Doe","uniqueKey":"bookingProposal.contact.name","typeLabel":"string"}},"uniqueKey":"bookingProposal.contact","typeLabel":"object"},"currency":{"type":"string","example":"EUR","uniqueKey":"bookingProposal.currency","typeLabel":"string"},"deliveryDate":{"type":"string","example":"2025-07-26T00:00:00Z","uniqueKey":"bookingProposal.deliveryDate","typeLabel":"string"},"discountPaymentDate":{"type":"string","example":"2025-07-16T00:00:00Z","uniqueKey":"bookingProposal.discountPaymentDate","typeLabel":"string"},"discountPaymentDate2":{"type":"string","example":"2025-07-18T00:00:00Z","uniqueKey":"bookingProposal.discountPaymentDate2","typeLabel":"string"},"dueDate":{"type":"string","example":"2025-07-24T00:00:00Z","uniqueKey":"bookingProposal.dueDate","typeLabel":"string"},"generatorName":{"type":"string","example":"Maesn GmbH","uniqueKey":"bookingProposal.generatorName","typeLabel":"string"},"journalCode":{"type":"string","example":"60","uniqueKey":"bookingProposal.journalCode","typeLabel":"string"},"isPaymentOrder":{"type":"boolean","example":"true","uniqueKey":"bookingProposal.isPaymentOrder","typeLabel":"boolean"},"ledgerName":{"type":"string","example":"Eingangsrechnungen","uniqueKey":"bookingProposal.ledgerName","typeLabel":"string"},"lineItems":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"Item-112233","uniqueKey":"bookingProposal.lineItems.items.[INDEX].id","typeLabel":"string"},"account":{"type":"object","properties":{"id":{"type":"string","example":"db32-4f56-8a9b-1234567890ab","uniqueKey":"bookingProposal.lineItems.items.[INDEX].account.id","typeLabel":"string"},"code":{"type":"string","example":"200","uniqueKey":"bookingProposal.lineItems.items.[INDEX].account.code","typeLabel":"string"},"name":{"type":"string","example":"EXPENSE","uniqueKey":"bookingProposal.lineItems.items.[INDEX].account.name","typeLabel":"string"},"number":{"type":"number","example":4900,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].account.number","typeLabel":"number"}},"uniqueKey":"bookingProposal.lineItems.items.[INDEX].account","typeLabel":"object"},"description":{"type":"string","example":"Item A","uniqueKey":"bookingProposal.lineItems.items.[INDEX].description","typeLabel":"string"},"dimensions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"eaa28f49-6028-4b6e-bb12-d8f6278073fc","uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions.items.[INDEX].id","typeLabel":"string"},"amount":{"type":"number","example":100.5,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions.items.[INDEX].amount","typeLabel":"number"},"code":{"type":"string","example":"CS1","uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions.items.[INDEX].code","typeLabel":"string"},"dimension":{"type":"string","example":"CostCenter","uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions.items.[INDEX].dimension","typeLabel":"string"},"name":{"type":"string","example":"Jerde, Greenfelder and Jacobi","uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions.items.[INDEX].name","typeLabel":"string"}},"uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bookingProposal.lineItems.items.[INDEX].dimensions","typeLabel":"object[]"},"discountAmount":{"description":"Discount applied to the line item, in the document currency.","type":"number","example":100,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].discountAmount","typeLabel":"number"},"discountAmount2":{"type":"number","example":50,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].discountAmount2","typeLabel":"number"},"discountPercentage":{"type":"number","example":20,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].discountPercentage","typeLabel":"number"},"discountPercentage2":{"type":"number","example":10,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].discountPercentage2","typeLabel":"number"},"taxCode":{"type":"string","example":"9","uniqueKey":"bookingProposal.lineItems.items.[INDEX].taxCode","typeLabel":"string"},"taxRatePercentage":{"type":"number","example":19,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].taxRatePercentage","typeLabel":"number"},"totalGrossAmount":{"description":"Gross amount of the line item — net plus tax (including VAT).","type":"number","example":500,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].totalGrossAmount","typeLabel":"number"},"totalNetAmount":{"description":"Net amount of the line item — before tax (excluding VAT).","type":"number","example":450,"uniqueKey":"bookingProposal.lineItems.items.[INDEX].totalNetAmount","typeLabel":"number"},"type":{"type":"string","enum":["PRODUCT","SERVICE"],"example":"SERVICE","uniqueKey":"bookingProposal.lineItems.items.[INDEX].type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"bookingProposal.lineItems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bookingProposal.lineItems","typeLabel":"object[]"},"notes":{"type":"string","example":"Bill for maintenance services","uniqueKey":"bookingProposal.notes","typeLabel":"string"},"number":{"type":"string","example":"1233330","uniqueKey":"bookingProposal.number","typeLabel":"string"},"orderId":{"type":"string","example":"3344566","uniqueKey":"bookingProposal.orderId","typeLabel":"string"},"paidDate":{"type":"string","example":"2025-07-20T00:00:00Z","uniqueKey":"bookingProposal.paidDate","typeLabel":"string"},"paymentTermId":{"type":"string","example":"03","uniqueKey":"bookingProposal.paymentTermId","typeLabel":"string"},"status":{"type":"string","enum":["DRAFT","SUBMITTED","OPEN","PAID","PARTIALLY_PAID","VOIDED","CANCELLED","OVERDUE","DISPUTED"],"example":"DRAFT","uniqueKey":"bookingProposal.status","typeLabel":"enum\u003cstring>"},"totalGrossAmount":{"description":"Gross total — the net amount plus tax (the total payable, including VAT).","type":"number","example":500,"uniqueKey":"bookingProposal.totalGrossAmount","typeLabel":"number"},"useCollectiveContact":{"type":"boolean","example":true,"uniqueKey":"bookingProposal.useCollectiveContact","typeLabel":"boolean"},"vatId":{"type":"string","example":"DE987654321","uniqueKey":"bookingProposal.vatId","typeLabel":"string"}},"uniqueKey":"bookingProposal","typeLabel":"object"},"bookingType":{"type":"string","enum":["BILL","CREDIT_NOTE","INVOICE","VENDOR_CREDIT"],"uniqueKey":"bookingType","typeLabel":"enum\u003cstring>"},"files":{"type":"array","items":{"format":"binary","type":"string","uniqueKey":"files.items.[INDEX]","typeLabel":"file"},"description":"Array of files to upload","uniqueKey":"files","typeLabel":"file[]"},"folderManagement":{"type":"object","properties":{"category":{"type":"string","example":"Accounting","uniqueKey":"folderManagement.category","typeLabel":"string"},"folder":{"type":"string","example":"Invoices","uniqueKey":"folderManagement.folder","typeLabel":"string"},"register":{"type":"string","example":"2025 January","uniqueKey":"folderManagement.register","typeLabel":"string"}},"uniqueKey":"folderManagement","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"bookingProposal":{"id":"23a24449-6v28-446e-bb12-3f428073fc","addresses ":[{"city":"city"}],"bankAccount":{"id":"5a6b7f5dw45c1c-403e-ad56-202fbc312414","bankName":"Sparkasse","bic":"DEUTDEFF","code":"50010517","iban":"DE89370400440532013000","number":5407324931},"bookingProposalDate":"2025-07-14T00:00:00Z","contact":{"id":"eaa28f49-6028-4b6e-bb12-d8f6278073fc","accountNumber":70000,"name":"John Doe"},"currency":"EUR","deliveryDate":"2025-07-26T00:00:00Z","discountPaymentDate":"2025-07-16T00:00:00Z","discountPaymentDate2":"2025-07-18T00:00:00Z","dueDate":"2025-07-24T00:00:00Z","generatorName":"Maesn GmbH","journalCode":"60","isPaymentOrder":"true","ledgerName":"Eingangsrechnungen","lineItems":[{"id":"Item-112233","account":{"id":"db32-4f56-8a9b-1234567890ab","code":"200","name":"EXPENSE","number":4900},"description":"Item A","dimensions":[{"id":"eaa28f49-6028-4b6e-bb12-d8f6278073fc","amount":100.5,"code":"CS1","dimension":"CostCenter","name":"Jerde, Greenfelder and Jacobi"}],"discountAmount":100,"discountAmount2":50,"discountPercentage":20,"discountPercentage2":10,"taxCode":"9","taxRatePercentage":19,"totalGrossAmount":500,"totalNetAmount":450,"type":"SERVICE"}],"notes":"Bill for maintenance services","number":"1233330","orderId":"3344566","paidDate":"2025-07-20T00:00:00Z","paymentTermId":"03","status":"DRAFT","totalGrossAmount":500,"useCollectiveContact":true,"vatId":"DE987654321"},"files":["\u003cstring>"],"folderManagement":{"category":"Accounting","folder":"Invoices","register":"2025 January"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"0748e92c-e4c1-44cf-8768-264a98ecf430":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"type":"object","properties":{"warnings":{"type":"array","items":{"type":"string","example":"Field not used by target system","uniqueKey":"meta.warnings.items.[INDEX]","typeLabel":"string"},"uniqueKey":"meta.warnings","typeLabel":"string[]"},"pagination":{"type":"object","properties":{"total":{"type":"number","example":125,"uniqueKey":"meta.pagination.total","typeLabel":"number"},"perPage":{"type":"number","example":50,"uniqueKey":"meta.pagination.perPage","typeLabel":"number"},"currentPage":{"type":"number","example":1,"uniqueKey":"meta.pagination.currentPage","typeLabel":"number"},"totalPages":{"type":"number","example":3,"uniqueKey":"meta.pagination.totalPages","typeLabel":"number"}},"uniqueKey":"meta.pagination","typeLabel":"object"},"partialErrors":{"type":"array","description":"Secondary operations that failed after the main operation succeeded. See [Partial Errors](/guides/partial-errors).","items":{"type":"object","properties":{"code":{"type":"string","example":"FILE_UPLOAD_FAILED","uniqueKey":"meta.partialErrors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","example":"Attachment invoice.pdf could not be uploaded to the target system.","uniqueKey":"meta.partialErrors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"meta.partialErrors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"meta.partialErrors","typeLabel":"object[]"}},"uniqueKey":"meta","typeLabel":"object"},"data":{"type":"object","properties":{"taskId":{"type":"string","example":"02cc5849-b23c-48fe-8a9b-96f74bfc9571","uniqueKey":"data.taskId","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"meta":{"warnings":["Field not used by target system"],"pagination":{"total":125,"perPage":50,"currentPage":1,"totalPages":3},"partialErrors":[{"code":"FILE_UPLOAD_FAILED","message":"Attachment invoice.pdf could not be uploaded to the target system."}]},"data":{"taskId":"02cc5849-b23c-48fe-8a9b-96f74bfc9571"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"69bbbe3c-bdd4-46da-ae4a-5b5a7194af64":{"url":"https://api.maesn.dev"}}},"originalFileLocation":"openapi.json"},"subdomain":"maesn","siteName":"maesn","title":"Create booking proposal async - maesn","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T12:00:02.225Z","gitLastModified":"2026-11-09T10:20:21.000Z","originalFileLocation":"api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"maesn\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create booking proposal async - maesn\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"maesn\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://maesn.mintlify.site/_mintlify/api/og/v2?division=Booking+Proposals\u0026amp;title=Create+booking+proposal+async\u0026amp;theme=e21db2549d54bc782f15b982\u0026amp;signature=d9349a99c5002416f4a6d0d62784cfb04753d8e0bd45fe43b2aeb636d4e797ec\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create booking proposal async - maesn\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://maesn.mintlify.site/_mintlify/api/og/v2?division=Booking+Proposals\u0026amp;title=Create+booking+proposal+async\u0026amp;theme=e21db2549d54bc782f15b982\u0026amp;signature=d9349a99c5002416f4a6d0d62784cfb04753d8e0bd45fe43b2aeb636d4e797ec\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"maesn\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#27A691\">\u003cmeta data-mint-head name=\"author\" content=\"Lennart Svensson\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.maesn.com/#organization\",\"name\":\"maesn\",\"url\":\"https://docs.maesn.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-light.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=ba936398d19fd8fe8fb10d7b41c80170\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.maesn.com#website\",\"name\":\"maesn\",\"url\":\"https://docs.maesn.com\",\"publisher\":{\"@id\":\"https://docs.maesn.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async#webpage\",\"url\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async\",\"name\":\"Create booking proposal async\",\"dateModified\":\"2026-11-09T10:20:21.000Z\",\"isPartOf\":{\"@id\":\"https://docs.maesn.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API reference\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/accounting-overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Accounting\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/accounting-overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Booking Proposals\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/get-booking-proposals\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Create booking proposal async\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async#apireference\",\"headline\":\"Create booking proposal async\",\"name\":\"Create booking proposal async\",\"url\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async\",\"mainEntityOfPage\":{\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async#webpage\"},\"dateModified\":\"2026-11-09T10:20:21.000Z\",\"publisher\":{\"@id\":\"https://docs.maesn.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.maesn.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"maesn\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"maesn\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async.md","siteName":"maesn","nav":{"global":null,"groups":[{"group":"Get started","pages":[{"title":"Introduction","href":"/introduction"},{"title":"Explore our integrations","mode":"wide","href":"/integrations-overview"},{"title":"Authentication","href":"/authentication"},{"title":"Rate limiting","href":"/rate-limits"},{"title":"Filtering, Ordering, \u0026 Pagination","href":"/filtering-ordering-pagination"},{"title":"Standardized Data","href":"/standardization"},{"title":"Raw Data","href":"/raw-data"},{"title":"Passthrough","href":"/pass-through"},{"title":"Asynchronous Task","href":"/async-task"},{"title":"Idempotency","tag":"Beta","href":"/idempotency"},{"title":"Sandboxes","href":"/sandboxes"},{"title":"TypeScript SDK","href":"/sdk"},{"title":"OpenAPI specs","href":"/openapi-specs"},{"title":"MCP Server","href":"/mcp-server"},{"title":"Webhooks","href":"/webhooks"},{"title":"Welcome to maesn!","mode":"wide","sidebarTitle":"About maesn","href":"/what-is-maesn"},{"title":"Changelog","href":"/changelog"}]},{"group":"Guides","pages":[{"title":"Quick start","href":"/guides/quick-start"},{"title":"maesn Connect","href":"/guides/maesn-connect"},{"title":"Test maesn's Unified API with Postman","sidebarTitle":"Postman","href":"/guides/postman"},{"title":"Keeping data fresh","href":"/guides/keep-data-fresh"},{"title":"Error handling","mode":"wide","href":"/guides/error-handling"},{"title":"Partial errors","href":"/guides/partial-errors"}]},{"group":"Integrations","pages":[{"title":"Endpoint coverage","mode":"wide","sidebarTitle":"Overview","href":"/integrations"},{"title":"AbaConnect","sidebarTitle":"AbaConnect","href":"/integrations/abaconnect"},{"title":"Abacus","sidebarTitle":"Abacus","href":"/integrations/abacus"},{"title":"bexio","sidebarTitle":"bexio","href":"/integrations/bexio"},{"title":"BuchhaltungsButler","sidebarTitle":"BuchhaltungsButler","href":"/integrations/buchhaltungsbutler"},{"title":"DATEV Rechnungswesen","sidebarTitle":"DATEV Rechnungswesen","href":"/integrations/datev-rechnungswesen"},{"title":"DATEV Unternehmen Online","sidebarTitle":"DATEV Unternehmen Online","href":"/integrations/datev-unternehmen-online"},{"title":"Dinero","sidebarTitle":"Dinero","href":"/integrations/dinero"},{"title":"Exact Online","sidebarTitle":"Exact Online","href":"/integrations/exact-online"},{"title":"fortnox","sidebarTitle":"fortnox","href":"/integrations/fortnox"},{"title":"FreeAgent","sidebarTitle":"FreeAgent","href":"/integrations/freeagent"},{"title":"FreshBooks","sidebarTitle":"FreshBooks","href":"/integrations/freshbooks"},{"title":"Holded","sidebarTitle":"Holded","href":"/integrations/holded"},{"title":"Lexware Office","sidebarTitle":"Lexware Office","href":"/integrations/lexware-office"},{"title":"Microsoft Business Central","sidebarTitle":"Microsoft Business Central","href":"/integrations/microsoft-dynamics-365-business-central"},{"title":"Moneybird","sidebarTitle":"Moneybird","href":"/integrations/moneybird"},{"title":"Odoo","sidebarTitle":"Odoo","href":"/integrations/odoo"},{"title":"Pennylane","sidebarTitle":"Pennylane","href":"/integrations/pennylane"},{"title":"Procountor","sidebarTitle":"Procountor","href":"/integrations/procountor"},{"title":"Qonto","sidebarTitle":"Qonto","href":"/integrations/qonto"},{"title":"QuickBooks","sidebarTitle":"QuickBooks","href":"/integrations/quickbooks"},{"title":"Sage Accounting","sidebarTitle":"Sage Accounting","href":"/integrations/sage-accounting"},{"title":"Sage Active","sidebarTitle":"Sage Active","href":"/integrations/sage-active"},{"title":"sevdesk","sidebarTitle":"sevdesk","href":"/integrations/sevdesk"},{"title":"Snelstart","sidebarTitle":"Snelstart","href":"/integrations/snelstart"},{"title":"Twinfield","sidebarTitle":"Twinfield","href":"/integrations/twinfield"},{"title":"Tripletex","sidebarTitle":"Tripletex","href":"/integrations/tripletex"},{"title":"Visma eAccounting (Spiris)","sidebarTitle":"Visma eAcccounting","href":"/integrations/visma-eaccounting"},{"title":"Visma e-conomic","sidebarTitle":"Visma e-conomic","href":"/integrations/visma-e-conomic"},{"title":"weclapp","sidebarTitle":"weclapp","href":"/integrations/weclapp"},{"title":"Xentral","sidebarTitle":"Xentral","href":"/integrations/xentral"},{"title":"Xero","sidebarTitle":"Xero","href":"/integrations/xero"}]},{"group":"Use cases","pages":[{"title":"Explore our use cases","href":"/use-cases"},{"title":"Capture invoices \u0026 bills","href":"/use-cases/capture-invoices"},{"title":"Debt management","href":"/use-cases/debt-management"},{"title":"Fetch invoices","href":"/use-cases/fetch-invoices"},{"title":"Fetch bills","href":"/use-cases/fetch-bills"},{"title":"Synchronize contacts","href":"/use-cases/sync-contacts"},{"title":"Synchronize expenses","href":"/use-cases/sync-expenses"},{"title":"Synchronize items","href":"/use-cases/sync-items"},{"title":"Create invoices","href":"/use-cases/create-invoices"},{"title":"Accounts payable","href":"/use-cases/accounts-payable"},{"title":"Accounts receivable","href":"/use-cases/accounts-receivable"},{"title":"Create bookings","href":"/use-cases/create-bookings"},{"title":"DATEV use cases","href":"/use-cases/datev-overview"}]},{"group":"API reference","pages":[{"group":"Accounting","pages":[{"title":"Accounting API","sidebarTitle":"Overview","href":"/api-reference/accounting-endpoints/accounting-overview"},{"group":"Accounts","pages":[{"openapi":"GET /accounting/accounts","title":null,"href":"/api-reference/accounting-endpoints/accounts/get-accounts"},{"openapi":"get /accounting/accounts/{accountId}","title":null,"href":"/api-reference/accounting-endpoints/accounts/get-account"},{"openapi":"post /accounting/accounts","title":null,"href":"/api-reference/accounting-endpoints/accounts/create-account"}]},{"group":"Async Task","pages":[{"openapi":"get /accounting/asyncTask/{taskId}","title":null,"href":"/api-reference/accounting-endpoints/asynctask/get-async-task-info"}]},{"group":"Bank Accounts","pages":[{"openapi":"GET /accounting/bankAccounts","title":null,"href":"/api-reference/accounting-endpoints/bankaccounts/get-bank-accounts"},{"openapi":"GET /accounting/bankAccounts/{bankAccountId}","title":null,"href":"/api-reference/accounting-endpoints/bankaccounts/get-bank-account"},{"openapi":"post /accounting/bankAccounts","title":null,"href":"/api-reference/accounting-endpoints/bankaccounts/create-bank-account"}]},{"group":"Bills","pages":[{"openapi":"get /accounting/bills","title":null,"href":"/api-reference/accounting-endpoints/bills/get-bills"},{"openapi":"get /accounting/bills/{billId}","title":null,"href":"/api-reference/accounting-endpoints/bills/get-bill"},{"openapi":"post /accounting/bills","title":null,"href":"/api-reference/accounting-endpoints/bills/create-bill"},{"openapi":"put /accounting/bills/{billId}","title":null,"href":"/api-reference/accounting-endpoints/bills/update-bill"},{"openapi":"delete /accounting/bills/{billId}","title":null,"href":"/api-reference/accounting-endpoints/bills/delete-bill"},{"openapi":"get /accounting/bills/{billId}/document","title":null,"href":"/api-reference/accounting-endpoints/bills/get-bill-document"}]},{"group":"Bill Lines","pages":[{"openapi":"get /accounting/bills/{billId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/billlineitems/get-bill-lines"},{"openapi":"post /accounting/bills/{billId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/billlineitems/create-bill-line"},{"openapi":"put /accounting/bills/{billId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/billlineitems/update-bill-line"}]},{"group":"Booking Proposals","pages":[{"openapi":"get /accounting/bookingProposals","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/get-booking-proposals"},{"openapi":"get /accounting/bookingProposals/{bookingProposalId}","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/get-booking-proposal"},{"openapi":"get /accounting/bookingProposals/{bookingProposalId}/document","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/get-booking-proposal-document"},{"openapi":"POST /accounting/bookingProposals","title":null,"description":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal"},{"openapi":"POST /accounting/bookingProposals/async","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async"},{"openapi":"PUT /accounting/bookingProposals/{bookingProposalId}","title":null,"description":null,"href":"/api-reference/accounting-endpoints/bookingproposals/update-booking-proposal"},{"openapi":"PUT /accounting/bookingProposals/{bookingProposalId}/async","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/update-booking-proposal-async"},{"openapi":"POST /accounting/bookingProposals/{bookingProposalId}/attachments","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/attachments/create-booking-proposal-attachment"}]},{"group":"Contacts","pages":[{"openapi":"get /accounting/contacts","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contacts"},{"openapi":"get /accounting/contacts/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contact"},{"openapi":"post /accounting/contacts","title":null,"href":"/api-reference/accounting-endpoints/contacts/create-contact"},{"openapi":"put /accounting/contacts/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/contacts/put-contact"},{"openapi":"patch /accounting/contacts/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/contacts/patch-contact"},{"openapi":"post /accounting/contacts/bulk","title":null,"href":"/api-reference/accounting-endpoints/contacts/create-contacts-bulk"},{"openapi":"get /accounting/contacts/async","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contacts-async"},{"openapi":"get /accounting/contacts/{contactId}/async","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contact-async"},{"openapi":"post /accounting/contacts/async","title":null,"href":"/api-reference/accounting-endpoints/contacts/create-contact-async"}]},{"group":"Credit Notes","pages":[{"openapi":"GET /accounting/creditNotes","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/get-credit-notes"},{"openapi":"GET /accounting/creditNotes/{creditNoteId}","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/get-credit-note"},{"openapi":"POST /accounting/creditNotes","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/create-credit-note"},{"openapi":"get /accounting/creditNotes/{creditNoteId}/documents","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/get-credit-note-documents"}]},{"group":"Currencies","pages":[{"openapi":"get /accounting/currencies","title":null,"href":"/api-reference/accounting-endpoints/currencies/get-currencies"}]},{"group":"Customers","pages":[{"openapi":"get /accounting/customers","title":null,"href":"/api-reference/accounting-endpoints/customers/get-customers"},{"openapi":"get /accounting/customers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/customers/get-customer"},{"openapi":"post /accounting/customers","title":null,"href":"/api-reference/accounting-endpoints/customers/create-customer"},{"openapi":"put /accounting/customers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/customers/update-customer"},{"openapi":"patch /accounting/customers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/customers/patch-customer"}]},{"group":"Dimensions","pages":[{"openapi":"get /accounting/dimensions","title":null,"href":"/api-reference/accounting-endpoints/dimensions/get-dimensions"},{"openapi":"get /accounting/dimensions/{dimension}","title":null,"href":"/api-reference/accounting-endpoints/dimensions/get-dimensions-by-dimension"}]},{"group":"Expenses","pages":[{"openapi":"get /accounting/expenses","title":null,"href":"/api-reference/accounting-endpoints/expenses/get-expenses"},{"openapi":"get /accounting/expenses/{expenseId}","title":null,"href":"/api-reference/accounting-endpoints/expenses/get-expense"},{"openapi":"post /accounting/expenses","title":null,"href":"/api-reference/accounting-endpoints/expenses/create-expense"},{"openapi":"post /accounting/expenses/async","title":null,"href":"/api-reference/accounting-endpoints/expenses/create-expense-async"}]},{"group":"Files","pages":[{"openapi":"post /accounting/files","title":null,"href":"/api-reference/accounting-endpoints/files/upload-file"},{"openapi":"post /accounting/files/async","title":null,"href":"/api-reference/accounting-endpoints/files/upload-file-async"},{"openapi":"get /accounting/files/documentTypes","title":null,"href":"/api-reference/accounting-endpoints/files/get-document-types"},{"openapi":"get /accounting/files/documentExtensions","title":null,"href":"/api-reference/accounting-endpoints/files/get-document-extensions"}]},{"group":"Fiscal Years","pages":[{"openapi":"get /accounting/fiscalYears","title":null,"href":"/api-reference/accounting-endpoints/fiscalyears/get-fiscal-years"},{"openapi":"get /accounting/fiscalYears/{fiscalYearId}","title":null,"href":"/api-reference/accounting-endpoints/fiscalyears/get-fiscal-year"}]},{"group":"Goods Receipts","pages":[{"openapi":"GET /accounting/goodsReceipts","title":null,"href":"/api-reference/accounting-endpoints/goodsreceipts/get-goods-receipts"},{"openapi":"GET /accounting/goodsReceipts/{goodsReceiptId}","title":null,"href":"/api-reference/accounting-endpoints/goodsreceipts/get-goods-receipt"}]},{"group":"Goods Receipt Lines","pages":[{"openapi":"GET /accounting/goodsReceipts/{goodsReceiptId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/goodsreceiptlineitems/get-goods-receipt-lines"},{"openapi":"GET /accounting/goodsReceipts/{goodsReceiptId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/goodsreceiptlineitems/get-goods-receipt-line"}]},{"group":"Invoices","pages":[{"openapi":"get /accounting/invoices","title":null,"href":"/api-reference/accounting-endpoints/invoices/get-invoices"},{"openapi":"get /accounting/invoices/{invoiceId}","title":null,"href":"/api-reference/accounting-endpoints/invoices/get-invoice"},{"openapi":"post /accounting/invoices","title":null,"href":"/api-reference/accounting-endpoints/invoices/create-invoice"},{"openapi":"patch /accounting/invoices/{invoiceId}","title":null,"href":"/api-reference/accounting-endpoints/invoices/patch-invoice"},{"openapi":"get /accounting/invoices/{invoiceId}/document","title":null,"href":"/api-reference/accounting-endpoints/invoices/get-invoice-document"}]},{"group":"Invoice Lines","pages":[{"openapi":"get /accounting/invoices/{invoiceId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/get-invoice-lines"},{"openapi":"get /accounting/invoices/{invoiceId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/get-invoice-line"},{"openapi":"post /accounting/invoices/{invoiceId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/create-invoice-line"},{"openapi":"patch /accounting/invoices/{invoiceId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/patch-invoice-line"}]},{"group":"Items","pages":[{"openapi":"get /accounting/items","title":null,"href":"/api-reference/accounting-endpoints/items/get-items"},{"openapi":"get /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/get-item"},{"openapi":"post /accounting/items","title":null,"href":"/api-reference/accounting-endpoints/items/create-item"},{"openapi":"patch /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/patch-item"},{"openapi":"put /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/update-item"},{"openapi":"delete /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoint
[...]
